#!/usr/bin/perl

use strict;
use warnings;
use CGI;
use FDN::Tiny::Basic;

my $cgi = new CGI;
my $p;

sub reject() {
        print "Content-Type: text/html; charset=utf8\n\n";
        print "<html><body>Unknown target $p</body></html>\n";
	exit(0);
}

$p = $cgi->param('target');
reject() if ! defined $p;

my $url = url_par_name($p);
reject() if ! defined $url;

my $user = user_par_id($url->{'USER_ID'});
reject() if ! defined $user;
reject() if $user->{'USER_STATE'} ne 'ok';

incremente_url($url);

print "Location: ".$url->{'URL_PATH'}."\n\n";

