#!/usr/bin/perl

use strict;
use warnings;
use CGI;
use FDN::Tiny::Basic;

sub reject() {
	print "Location: http://x.fdn.fr\n\n";
	exit(0);
}

my $cgi    = new CGI;
my $login  = $cgi->param('login');
my $passwd = $cgi->param('passwd');

reject() if ! defined $login;
reject() if ! defined $passwd;

my $user = user_par_login($login);
reject() if ! defined $user;
reject() if $user->{'USER_PASSWD'} ne $passwd;

my @urls = url_par_user($user->{'USER_ID'});

print "Content-Type: text/html; charset=utf8\n\n";
print "<html>Voici toutes vos URLs:<br/>\n";
print "<table><th>\n";
print "<td>Nom</td><td>URL</td><td>Visites</td><td>&Eacute;ternelle</td><td>Actions</td>\n";
print "</th>\n";
for my $url ( @urls ) {
	print "<tr>";
	print "<td>".$url->{'URL_NAME'}."</td>";
	print "<td><a href=\"".$url->{'URL_PATH'}."\">".$url->{'URL_PATH'}."</a></td>";
	print "<td>".$url->{'URL_COUNT'}."</td>";
	if ( $url->{'URL_TYPE'} eq 'keep' ) {
		print "<td><span style=\"color: green;\">oui</span></td>";
	} else {
		print "<td>non</td>";
	}
	print "<td><a href=\"del-url.cgi?login=$login&passwd=$passwd&id=".$url->{'URL_ID'}."\">supprimer</a>";
	print " <a href=\"keep-url.cgi?login=$login&passwd=$passwd&id=".$url->{'URL_ID'}."\">keep</a>" if $user->{'USER_ADMIN'};
	print "</td></tr>\n";
}
print "</table></html>\n\n";

