#!/usr/bin/perl

use strict;
use warnings;
use CGI;
use FDN::Tiny::Basic;

sub reject() {
	print "Location: http://x.fdn.fr\n\n";
	exit(0);
}

my $cgi    = new CGI;
my $login  = $cgi->param('login');
my $passwd = $cgi->param('passwd');
my $name   = $cgi->param('name');

reject() if ! defined $login;
reject() if ! defined $passwd;

my $user = user_par_login($login);
reject() if defined $user;

my $uid = new_user($login, $passwd, $name);

print "Content-Type: text/html; charset=utf8\n\n";
print "<html>Le compte est cr&eacute;&eacute;. Il faut qu'il soit valid&eacute; par un membre de FDN.</html>\n";

